io.vertx.ext.web.templ.freemarker

## Interface FreeMarkerTemplateEngine

- All Superinterfaces:
    TemplateEngine
  All Known Subinterfaces:
    FreeMarkerTemplateEngine

      public interface FreeMarkerTemplateEngine
      extends TemplateEngine

  A template engine that uses the FreeMarker library.
  Author:
    Paulo Lopes

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_MAX_CACHE_SIZE` Default max number of templates to cache
    `static String` | `DEFAULT_TEMPLATE_EXTENSION` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FreeMarkerTemplateEngine` | `create(Vertx vertx)` Create a template engine using defaults
    `FreeMarkerTemplateEngine` | `setExtension(String extension)` Deprecated. as a user you should use filename with extensions on the render method instead of relying on this method to suffix your filenames. Using this method is quite an opinionated API and has the side effect that you cannot use files without extensions as templates. Set the extension for the engine
    `FreeMarkerTemplateEngine` | `setMaxCacheSize(int maxCacheSize)` Set the max cache size for the engine

    - ### Methods inherited from interface io.vertx.ext.web.common.template.TemplateEngine

      `isCachingEnabled, render, render`

- - ### Field Detail

    - #### DEFAULT_MAX_CACHE_SIZE

          static final int DEFAULT_MAX_CACHE_SIZE

      Default max number of templates to cache
      See Also:
        Constant Field Values

    - #### DEFAULT_TEMPLATE_EXTENSION

          @Deprecated
          static final String DEFAULT_TEMPLATE_EXTENSION

      Deprecated.
      Default template extension
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### create

          static FreeMarkerTemplateEngine create(Vertx vertx)

      Create a template engine using defaults
      Returns:
        the engine

    - #### setExtension

          @Deprecated
          FreeMarkerTemplateEngine setExtension(String extension)

      Deprecated. as a user you should use filename with extensions on the render method instead of relying on this method to suffix your filenames. Using this method is quite an opinionated API and has the side effect that you cannot use files without extensions as templates. Set the extension for the engine
      Parameters:
        `extension` - the extension
      Returns:
        a reference to this for fluency

    - #### setMaxCacheSize

          FreeMarkerTemplateEngine setMaxCacheSize(int maxCacheSize)

      Set the max cache size for the engine
      Parameters:
        `maxCacheSize` - the maxCacheSize
      Returns:
        a reference to this for fluency

Copyright © 2019 Eclipse. All rights reserved.